<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Lifinity Dungeon: He_Arc::RPG::Lane Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Lifinity Dungeon
   &#160;<span id="projectnumber">6</span>
   </div>
   <div id="projectbrief">The Lifinity Dungeon is a dungeon with an infinity of room. After each room, you found a harder room. This is why you will pass the eternity of your life in this dungeon</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><b>He_Arc</b></li><li class="navelem"><b>RPG</b></li><li class="navelem"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_lane.html">Lane</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="class_he___arc_1_1_r_p_g_1_1_lane-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">He_Arc::RPG::Lane Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>A lane is a part of a room, one lane have 0-N characters on it. It can be compared to the "cell" of the room Only 1 team at once can go on a lane.  
 <a href="class_he___arc_1_1_r_p_g_1_1_lane.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_lane_8hpp_source.html">Lane.hpp</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:af05ebf887573a1716001c408a5dbcbdd"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_lane.html#af05ebf887573a1716001c408a5dbcbdd">Lane</a> (string name=&quot;Unnamed&quot;)</td></tr>
<tr class="memdesc:af05ebf887573a1716001c408a5dbcbdd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Construct a new <a class="el" href="class_he___arc_1_1_r_p_g_1_1_lane.html" title="A lane is a part of a room, one lane have 0-N characters on it. It can be compared to the &quot;cell&quot; of t...">Lane</a> object.  <a href="class_he___arc_1_1_r_p_g_1_1_lane.html#af05ebf887573a1716001c408a5dbcbdd">More...</a><br /></td></tr>
<tr class="separator:af05ebf887573a1716001c408a5dbcbdd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a337d59c236d01b771cbfa5bc4fc23afb"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_lane.html#a337d59c236d01b771cbfa5bc4fc23afb">IsLaneEmpty</a> () const</td></tr>
<tr class="memdesc:a337d59c236d01b771cbfa5bc4fc23afb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Is the lane has character ?  <a href="class_he___arc_1_1_r_p_g_1_1_lane.html#a337d59c236d01b771cbfa5bc4fc23afb">More...</a><br /></td></tr>
<tr class="separator:a337d59c236d01b771cbfa5bc4fc23afb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9c9465e4c4595d303019605acbc64384"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_lane.html#a9c9465e4c4595d303019605acbc64384">IsCharacterOn</a> (const shared_ptr&lt; <a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html">CharacterClass</a> &gt; &amp;character) const</td></tr>
<tr class="memdesc:a9c9465e4c4595d303019605acbc64384"><td class="mdescLeft">&#160;</td><td class="mdescRight">Is the character is present on this lane ?  <a href="class_he___arc_1_1_r_p_g_1_1_lane.html#a9c9465e4c4595d303019605acbc64384">More...</a><br /></td></tr>
<tr class="separator:a9c9465e4c4595d303019605acbc64384"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5bd87436a40d3491d62828ccb1a11069"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_lane.html#a5bd87436a40d3491d62828ccb1a11069">GetNbCharacterOnTheRoom</a> () const</td></tr>
<tr class="memdesc:a5bd87436a40d3491d62828ccb1a11069"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the number of character present on this lane.  <a href="class_he___arc_1_1_r_p_g_1_1_lane.html#a5bd87436a40d3491d62828ccb1a11069">More...</a><br /></td></tr>
<tr class="separator:a5bd87436a40d3491d62828ccb1a11069"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2b3d3468bbebbe9ca69cfd380a8b1fb5"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_lane.html#a2b3d3468bbebbe9ca69cfd380a8b1fb5">AddCharacter</a> (shared_ptr&lt; <a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html">CharacterClass</a> &gt; character, <a class="el" href="_enums_8hpp.html#ad46aac46ff35875d2e579285bc6289b9">TeamGrp</a> team)</td></tr>
<tr class="memdesc:a2b3d3468bbebbe9ca69cfd380a8b1fb5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Add a character on the lane if the lane is not belong to anyone or already at the good team If the lane is not belong to anyone, the team becomes the owner.  <a href="class_he___arc_1_1_r_p_g_1_1_lane.html#a2b3d3468bbebbe9ca69cfd380a8b1fb5">More...</a><br /></td></tr>
<tr class="separator:a2b3d3468bbebbe9ca69cfd380a8b1fb5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2f047cfdabe6d5f8f1d49ac015a971a7"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_lane.html#a2f047cfdabe6d5f8f1d49ac015a971a7">RemoveCharacter</a> (const shared_ptr&lt; <a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html">CharacterClass</a> &gt; &amp;character)</td></tr>
<tr class="memdesc:a2f047cfdabe6d5f8f1d49ac015a971a7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Remove the character from the lane if after removing, there is no more character to the lane, the owner is setted to none team's.  <a href="class_he___arc_1_1_r_p_g_1_1_lane.html#a2f047cfdabe6d5f8f1d49ac015a971a7">More...</a><br /></td></tr>
<tr class="separator:a2f047cfdabe6d5f8f1d49ac015a971a7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adfe11e933aa9d4e3d7ab5629cd13e501"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_lane.html#adfe11e933aa9d4e3d7ab5629cd13e501">IsLaneAvailableFor</a> (const <a class="el" href="_enums_8hpp.html#ad46aac46ff35875d2e579285bc6289b9">TeamGrp</a> team) const</td></tr>
<tr class="memdesc:adfe11e933aa9d4e3d7ab5629cd13e501"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the information if a team can go on this lane.  <a href="class_he___arc_1_1_r_p_g_1_1_lane.html#adfe11e933aa9d4e3d7ab5629cd13e501">More...</a><br /></td></tr>
<tr class="separator:adfe11e933aa9d4e3d7ab5629cd13e501"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad5e96c488331184c781ebc0ef3f61f4d"><td class="memItemLeft" align="right" valign="top">vector&lt; shared_ptr&lt; <a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html">CharacterClass</a> &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_lane.html#ad5e96c488331184c781ebc0ef3f61f4d">GetCharactersOnLane</a> () const</td></tr>
<tr class="memdesc:ad5e96c488331184c781ebc0ef3f61f4d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the characters presents on the lane.  <a href="class_he___arc_1_1_r_p_g_1_1_lane.html#ad5e96c488331184c781ebc0ef3f61f4d">More...</a><br /></td></tr>
<tr class="separator:ad5e96c488331184c781ebc0ef3f61f4d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5e571e734bb094cdd9fe65fb5502a9ff"><td class="memItemLeft" align="right" valign="top"><a class="el" href="_enums_8hpp.html#ad46aac46ff35875d2e579285bc6289b9">TeamGrp</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_lane.html#a5e571e734bb094cdd9fe65fb5502a9ff">GetOwner</a> () const</td></tr>
<tr class="memdesc:a5e571e734bb094cdd9fe65fb5502a9ff"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the owner of the lane.  <a href="class_he___arc_1_1_r_p_g_1_1_lane.html#a5e571e734bb094cdd9fe65fb5502a9ff">More...</a><br /></td></tr>
<tr class="separator:a5e571e734bb094cdd9fe65fb5502a9ff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2e78177b178c1026d703127d2e5b16fe"><td class="memItemLeft" align="right" valign="top"><a id="a2e78177b178c1026d703127d2e5b16fe"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_lane.html#a2e78177b178c1026d703127d2e5b16fe">ShowLaneInfo</a> () const</td></tr>
<tr class="memdesc:a2e78177b178c1026d703127d2e5b16fe"><td class="mdescLeft">&#160;</td><td class="mdescRight">Display the lane info : the owner, the characters on it. <br /></td></tr>
<tr class="separator:a2e78177b178c1026d703127d2e5b16fe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abddf8c6cf2ed513b06457868b9cd27b9"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_lane.html#abddf8c6cf2ed513b06457868b9cd27b9">ShowLaneInfoCondensed</a> (int nbShift=0) const</td></tr>
<tr class="memdesc:abddf8c6cf2ed513b06457868b9cd27b9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Display the lane info : the owner, the characters on it (the output is more condensed than <a class="el" href="class_he___arc_1_1_r_p_g_1_1_lane.html#a2e78177b178c1026d703127d2e5b16fe" title="Display the lane info : the owner, the characters on it.">ShowLaneInfo()</a>) and allow a shifting for more esthetic.  <a href="class_he___arc_1_1_r_p_g_1_1_lane.html#abddf8c6cf2ed513b06457868b9cd27b9">More...</a><br /></td></tr>
<tr class="separator:abddf8c6cf2ed513b06457868b9cd27b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a41effc9733129d88a957f036354d18a1"><td class="memItemLeft" align="right" valign="top">queue&lt; string &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_lane.html#a41effc9733129d88a957f036354d18a1">GetSequenceDisplayLane</a> (int height=0) const</td></tr>
<tr class="memdesc:a41effc9733129d88a957f036354d18a1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the sequence for displaying the lane "graphically".  <a href="class_he___arc_1_1_r_p_g_1_1_lane.html#a41effc9733129d88a957f036354d18a1">More...</a><br /></td></tr>
<tr class="separator:a41effc9733129d88a957f036354d18a1"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>A lane is a part of a room, one lane have 0-N characters on it. It can be compared to the "cell" of the room Only 1 team at once can go on a lane. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="af05ebf887573a1716001c408a5dbcbdd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af05ebf887573a1716001c408a5dbcbdd">&#9670;&nbsp;</a></span>Lane()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Lane::Lane </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>name</em> = <code>&quot;Unnamed&quot;</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Construct a new <a class="el" href="class_he___arc_1_1_r_p_g_1_1_lane.html" title="A lane is a part of a room, one lane have 0-N characters on it. It can be compared to the &quot;cell&quot; of t...">Lane</a> object. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">name</td><td>the name of the lane </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a2b3d3468bbebbe9ca69cfd380a8b1fb5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2b3d3468bbebbe9ca69cfd380a8b1fb5">&#9670;&nbsp;</a></span>AddCharacter()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Lane::AddCharacter </td>
          <td>(</td>
          <td class="paramtype">shared_ptr&lt; <a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html">CharacterClass</a> &gt;&#160;</td>
          <td class="paramname"><em>character</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="_enums_8hpp.html#ad46aac46ff35875d2e579285bc6289b9">TeamGrp</a>&#160;</td>
          <td class="paramname"><em>team</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Add a character on the lane if the lane is not belong to anyone or already at the good team If the lane is not belong to anyone, the team becomes the owner. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">character</td><td>character to add on the lane </td></tr>
    <tr><td class="paramname">team</td><td>character's team </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>true if the character was add on the lane </dd>
<dd>
false if the character can be add on the lane (lane owned by another team) </dd></dl>

</div>
</div>
<a id="ad5e96c488331184c781ebc0ef3f61f4d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad5e96c488331184c781ebc0ef3f61f4d">&#9670;&nbsp;</a></span>GetCharactersOnLane()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">vector&lt; shared_ptr&lt; <a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html">CharacterClass</a> &gt; &gt; Lane::GetCharactersOnLane </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get the characters presents on the lane. </p>
<dl class="section return"><dt>Returns</dt><dd>vector&lt;shared_ptr&lt;CharacterClass&gt;&gt; All of the characters present on the lane </dd></dl>

</div>
</div>
<a id="a5bd87436a40d3491d62828ccb1a11069"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5bd87436a40d3491d62828ccb1a11069">&#9670;&nbsp;</a></span>GetNbCharacterOnTheRoom()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int Lane::GetNbCharacterOnTheRoom </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get the number of character present on this lane. </p>
<dl class="section return"><dt>Returns</dt><dd>int Quantity of character on the lane </dd></dl>

</div>
</div>
<a id="a5e571e734bb094cdd9fe65fb5502a9ff"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5e571e734bb094cdd9fe65fb5502a9ff">&#9670;&nbsp;</a></span>GetOwner()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="_enums_8hpp.html#ad46aac46ff35875d2e579285bc6289b9">TeamGrp</a> Lane::GetOwner </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get the owner of the lane. </p>
<dl class="section return"><dt>Returns</dt><dd>TeamGrp owner of the lane </dd></dl>

</div>
</div>
<a id="a41effc9733129d88a957f036354d18a1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a41effc9733129d88a957f036354d18a1">&#9670;&nbsp;</a></span>GetSequenceDisplayLane()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">queue&lt; string &gt; Lane::GetSequenceDisplayLane </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>height</em> = <code>0</code></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get the sequence for displaying the lane "graphically". </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">height</td><td>Height of the lane (number of row, without count the top and bottom line). The lane will always been displayed with at least with an height of the number of character on the lane The minimal row is "MIN_DISPLAY_HEIGHT"</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>queue&lt;string&gt; a "collection" of string ready to use for displaying the lane each "row" of the collection is one line for the display </dd></dl>
<dl class="section remark"><dt>Remarks</dt><dd>return a collection of string instead of use cout, to allow displaying multiple lane side by side </dd></dl>

</div>
</div>
<a id="a9c9465e4c4595d303019605acbc64384"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9c9465e4c4595d303019605acbc64384">&#9670;&nbsp;</a></span>IsCharacterOn()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Lane::IsCharacterOn </td>
          <td>(</td>
          <td class="paramtype">const shared_ptr&lt; <a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html">CharacterClass</a> &gt; &amp;&#160;</td>
          <td class="paramname"><em>character</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Is the character is present on this lane ? </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">character</td><td>Character to check if is on the lane </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>true The character is on this lane </dd>
<dd>
false The character isn't on this lane </dd></dl>

</div>
</div>
<a id="adfe11e933aa9d4e3d7ab5629cd13e501"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adfe11e933aa9d4e3d7ab5629cd13e501">&#9670;&nbsp;</a></span>IsLaneAvailableFor()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Lane::IsLaneAvailableFor </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="_enums_8hpp.html#ad46aac46ff35875d2e579285bc6289b9">TeamGrp</a>&#160;</td>
          <td class="paramname"><em>team</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get the information if a team can go on this lane. </p>
<dl class="section return"><dt>Returns</dt><dd>true if the lane is owned by noone or by the team </dd>
<dd>
false if the lane is owned by another team </dd></dl>

</div>
</div>
<a id="a337d59c236d01b771cbfa5bc4fc23afb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a337d59c236d01b771cbfa5bc4fc23afb">&#9670;&nbsp;</a></span>IsLaneEmpty()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Lane::IsLaneEmpty </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Is the lane has character ? </p>
<dl class="section return"><dt>Returns</dt><dd>true 1 or more character is on the lane </dd>
<dd>
false 0 character is on the lane </dd></dl>

</div>
</div>
<a id="a2f047cfdabe6d5f8f1d49ac015a971a7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2f047cfdabe6d5f8f1d49ac015a971a7">&#9670;&nbsp;</a></span>RemoveCharacter()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Lane::RemoveCharacter </td>
          <td>(</td>
          <td class="paramtype">const shared_ptr&lt; <a class="el" href="class_he___arc_1_1_r_p_g_1_1_character_class.html">CharacterClass</a> &gt; &amp;&#160;</td>
          <td class="paramname"><em>character</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Remove the character from the lane if after removing, there is no more character to the lane, the owner is setted to none team's. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">character</td><td>character to remove </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="abddf8c6cf2ed513b06457868b9cd27b9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abddf8c6cf2ed513b06457868b9cd27b9">&#9670;&nbsp;</a></span>ShowLaneInfoCondensed()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Lane::ShowLaneInfoCondensed </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>nbShift</em> = <code>0</code></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Display the lane info : the owner, the characters on it (the output is more condensed than <a class="el" href="class_he___arc_1_1_r_p_g_1_1_lane.html#a2e78177b178c1026d703127d2e5b16fe" title="Display the lane info : the owner, the characters on it.">ShowLaneInfo()</a>) and allow a shifting for more esthetic. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">nbShift</td><td>Left shifting of the output </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>cpp_filrouge_iscj_allemann/include/Room/<a class="el" href="_lane_8hpp_source.html">Lane.hpp</a></li>
<li>cpp_filrouge_iscj_allemann/src/Room/<a class="el" href="_lane_8cpp.html">Lane.cpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
